AutoCAD Inventor :: Changing Part Master View In Drawing
Sep 21, 2011
I thought I kind of understood level of detail and master views but apparently not. I have an I-Beam that I have cut and bent in the part file. In the drawing I would like to show the beam both full length and in the bend configuration. From my reading I thought I would be able to create one view with the part in final shape and one view where I suppress all the bends and show the part with the cuts in it but all flattened out. I created view1 with the part bent, I then created view 2 and supressed all the bends. Unfortunately the bare does not toggle back and forth in the part, and when I place the part in a drawing. I am still not bale to have a difference in the part in the drawing with the two configurations either. What is the proper method of obtaining the two different views?
Also is there a way to request software enhancements?
We create many large assemblies where the shop uses a cut sheet to make the parts. Since many of the parts have secondary opperations like forming or cutting done to them i like to create a second sheet with the piece parts dimensioned on the sheet. In SolidWorks i would simply create the views, create an assembly BOM and link the balloons to that BOM, end of story. Not in Inventor! And creating a million LOD views to hide all but the one part in each view is not an answer for a professional CAD program.
Inventor Premium 2013 SP1.1
Vault 2013- plain vanilla version
HP G71 notebook
celeron cpu w 4gb RAM and 64 bit system
Win 7 home premium
Is it possible to update an existing drawing to reference a new part or assembly file while maintaining associated views and possibly the annotation also?
I have tasks which require frequent subtle changes to assemblies. These assemblies will then be given a completely new file name, so it is no longer just a revision change but a new part altogether.
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.
If you've had to use different design view representation of the same PART on a drawing in multiple Views at the same time, you already know that whenever you suppress completly a feature, the representation loose the condition stated in the model view and if the suppressed feature is reactivated, it then appear in all view. You have to right-click on the view and select "Apply design View" to reset it, or re-select the design view representation in "Edit view".
Recently I faced a case where i had to build a iLogic multi-body part representing a crate made of either sheet or bar, with a removable top and variable solid for top, sidewall and base, driven trought a in-drawing form! Reason being the customer wanted a easy, useable model for the shipping clerk to generate a custom crate drawing for the crate contractor, therefore freeing precious time for the drafting departement. Usually I would have used occurence visibillity from a assembly, but the document management part of the deal, was too much for the computer illiterate user... So, off i went creating a multi-body part, only to face the aforemention problem with view changing representation due to complete solid suppression.
So here's How-to Set representation view for part in drawing:
The trick is to set every view to it's representation by using the edit window interface code.
The iLogic line to set a View to a specific Design View Representation:
I use this code in "IF" statement. You must repete the code for each view, removing the "Raster" line force a raster only reaction on the view, and the update must be placed after each view, otherwise it only update the last one.
Example: If TYPE_COUVERCLE = "AUCUN" Then
ActiveSheet.View("2").View.Suppressed = TrueActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("3").View.SetDesignViewRepresentation("View2", False)ActiveSheet.View("3").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("4").View.SetDesignViewRepresentation("View1", False)ActiveSheet.View("4").View.IsRasterView = FalseThisApplication.ActiveView.Update() Else If TYPE_COUVERCLE = "CONTREPLAQUÉ" Then
[Code]...
I'm telling the model that the disapearing element "TYPE_COUVERCLE" is driving the representation, only when it change does it fix the view, regenerating or changing the Design View Representation (the TYPE_SIDE and TYPE_BOTTOM are always active or always suppressed in their respectives views, therefore not influencing their respective appearance in other view). If you had multiple dissapearing solid or feature you would have to build a similar code for every one of them...
We put several parts on a single drawing sheet and ,to include the part number in the drawing view label, we must edit each view label and change the type to Properties_Model and the Property to Part Number. Is there a way to set the default of a drawing view label to include the Part Number? I tried modifying the styles to include <PART NUMBER> but it the text "<PART NUMBER>" came in instead of the value. To get the value, I had to edit the view label and hit the X with a down arrow to get the part number to show up, which is not much different than having to edit the label and change type and property. I'm looking to avoid all the view label editing as much as possible.
I frequently use the "Make Components" feature in order to derive assembly parts from solid bodies in a single master part file. Then I can quickly align the parts in the assembly with the "Ground and Root Component" utility. However, when the part is placed at an angle, the derived part becomes misaligned in the viewports of my idw files after the part gets rotated to a new angle. Then I have to manually reset the rotation by editing each viewport and selecting "View Face." If the angle has changed only slightly, sometimes I won't notice the difference, and I'll forget to re-align my viewports. Is there some way to automatically keep a viewport aligned with an specific face on a part?
If that's not possible, I guess the simplest method would be to place each part into its own assembly and constrain it to the global UCS, but I don't want to have to do that for every angled part in my assembly.
I also considered drawing only sketch blocks in my master file for the angled components, and deriving the sketch blocks to create parts that are properly aligned with the origin planes in their respective ipt files, but with that method I'd end up with a more complex master file with lots of exported parameters and extra working geometry, and I'd have to constrain these parts manually instead of using "Ground and Root Component."
I need to show a particular part in a drawing view so that it's clearly visible. I mean, I can see it fine, but I would like it to pop out a bit more than it does and not blend in with other lines around it. Is there anyway to do this? I know you can make an entire view colored, but I just want one part colored within that view.
If not, then how do I remove the lighting from a particular view so that the parts will show as solid colors in a drawing view? They currently show with like a white reflection or sheen and a sort of gradient coloring to them.
IV2012 Windows XP SP3 32-bit Intel Core 2 Duo 6400 @ 2.13 GHz Nvidia Quadro FX 3450/4000 SDI 256MB Vram 2 GB Ram 160GB HDD
My customer is having trouble with the part list feature inside the Inventor 2D drawing.
For example, He has a car assembly file with 4 wheels and alot more subassemblies, then he creates a view representation which only visible for 1 wheel.
When he generates the part list in Inventor 2D drawing, he go to part list >filter setting and set to ‘’Assembly view representation’’ but the quantity for the part list is still showing as 4 as per attachment.
change the value manually inside the part list table?
I have an assy in which I have created work planes which are huge and annoying, so I make them invisible but when I save the assy I get a message saying the Design Current Design view representation.... blah blah..... or Unlock the Current one.
I am fairly new to Inventor and have recently just finished drawing up a machine made of many parts and sub assemblies and then made into one master assembly. Due to the nature of some hole positions i decided to draw some holes directly on the Master assembly thinking it would then change the original sub assembly/part file. Apparently not as i found out making technical drawings.
How i can rectify this so i dont have to re-draw all the holes on part level and keep my constraints in place?
Whenever I do a model update through an ilogic form my View representation changes from default to master and then i have to go and manually change them back to default also in my idw files in order to update the drawing files I have to go in and change the view representation from default to master click ok and close it then open view edit set it to default and close. Is this normal? Is there a setting so that my model views will stay on default?
is there a way I can "Unlock" my MASTER view in representations. I keep having to create new views as the MASTER is locked and for some reason I can't unlock it.
I have created a parametric, multibody master part file to derive parts from it, and then put them in an assembly. See attached file. Now, I need 3 different versions of this setup (with different values of the parameter 'bending_angle').
What is the best way to do it? If I derive parts from it, they always follow the *actual* status of their master file. Is there some method to do this: "derive from this file, with parameter bending_angle=55deg", but keep the dependency relation, i.e. if I modify something on the master file, the derived part fill follow the modifications (with the value of bending_angle=55deg)
when open an assembly not all parts are shown. To be able to see entire assymbly need to change View representation to Master manually. How to achieve this in Ilogic?
Ok I am struggling with this again. Some how when my assembly was made I had several work planes visable on several subassemblies. No big deal, I will just go to the subassemblies, turn them off and save them and all will be fixed right? Wrong, the assembly still opens with the work planes showing. So I expand the subassemblies and turn the visability off in the top level assembly. Now when I attempt to save the assembly I am told that the master view is locked and I need to create a new view. But I don't ever want all the work planes on and I don't want to create a new view because that leads to not being able to save a linked assembly or drawing if the wrong thing is open somewhere.
How do I unlock the master view to be able to save it with the planes turned off?
Lets say I have 2 page drawing set of a damper, page 1 contains the main views and all the related part number ballons.
Page 2 contains fabrication details for the parts, brackets, blades etc.
For the parts I just inserted those into the drawing from their respective part file, allowing me to create the necessary amount of views to capture the needed dimensions for the shop.
When I go to apply a balloon to that part it wants to make it part #1 when it may be part # 7 of the assembly.
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
Some times we use standard parts which we could not find in content center. We creat part ourselves. But it looks like standard part in BOM or part explorer window...
I want to change type of part to PURCHASED type and icon like other purchased parts like bearings or bolts...
Is this possible?...
It can be also assembly parts like bearings. Bearings have many parts but it looks only one part in part explorer. This is very good. I want same thing too...
I order not to hide components, i want to make a break sketch and remove a piece from a part from an assembly in the isometric view in a drawing. can i do that?
I created a part, then created an assembly and put the part in the assy. Now I have changed the name of the part but it still shows up as the origional name in the assy. How do I get the name in the assy to match the part?
After upgrading to Inventor 2014 we notice that the graphics do not work properly, and that the overall performance in drawings and modelling bad compared to 2013. Then we installed SP1 and now drawing views are disappearing, however when we select "shaded" view the view reappears and works perfectly..
Each time when I place a part in base view, have to follow few steps; go through view label, format Text, than choose type option - [Properties-Model] and its property - [Part Number], than placing dimensions. it takes long time and very repetitive, especially, when placing a hundreds of parts and I was wondering if there is an option, to set up view label; [Properties - Model ]& [Part number], as a DEFAULT. So, each time placing a part, in base view it will come up with correct label. Also, overall dimensions, can it be retrieve using parameters of the part?
How can I change transparency of a part within itself or within an assembly? (I.E. leave its original color as is, but changing/"tweaking" its transparency).
I'm having trouble changing a reference part back to normal. It's in a sub nested 2 levels. I earlier had it as a phantom but changed it easily to reference. Now I need it to be normal.
I've tried going into each level to change it. I cannot access it unless I change the BOM to read "Model Structure" since reference parts don't show up under BOM structure. When I click on Reference (it has a little X in it) it will seem like it's going to change but turns back to ref every time.
I went into the lowest sub & was able to change the part to Default through Properties but it just goes to reference again in the main assembly.
After Part is inserted into an assembly and after the Part is changed ( say the length from 16.25 to 17.75), How do I auto change the "Part Number" to match this new length in the parts list?